Cancellation | ConfirmCancellation
Confirms that the quoted cancellation result is accepted by the customer. This API is applicable only when applyType is QUOTATION, SubmitCancellation succeeds, and GetCancellationDetail returns cancellationStatus = VALID_QUOTE.
Notice:
Product Scope: FareMarket and TechHub
POST
/flight/cancellationParameter
| Field | Mandatory | Type | Scope | Description |
|---|---|---|---|---|
| action | required |
String | ConfirmCancellation | |
| key | required |
String | API security key applied from AeroHub | |
| signature | required |
String | Refer to Guideline to generate. | |
| timestamp | required |
Int | The ‘timestamp’ field should be a 10-digit Unix timestamp in seconds, used for encryption and data verification. | |
| version | optional |
String | API version information, e.g. 3.2.0 | |
| request | required |
Object | ||
| cancellationNum | required |
String | Cancellation number generated by SubmitCancellation | |
| attachments | optional |
Object[] | The field is required when the “cancellationStatus” is “REQ_ASSIST”. Supported file types: JPG, JPEG, PNG, PDF. Note: New attachments will overwrite the existing ones. Therefore, you must upload the complete set of attachments each time you perform an upload operation. |
|
| name | required |
String | File name with extension. | |
| url | required |
String | This field uses the url returned by the UploadAttachment interface. |
Request_Example:
{ "action": "UploadAttachments", "version": "v2.0.3", "key": "n93mPT7WzN6cLKC5", "signature": "YhQ2EoBQOfOnf/EOnuuuK5i+K+ncydeQhjFpoxYiEMo=", "timestamp": 1685116518, "request": { "attachments": [ { "name": "QA.JPG", "content": "f3b7288cd66c26cb087f70501641a1ea" } ] } }
Response
| Field | Type | Description |
|---|---|---|
| status | Int | 0 for success, others for failure, refer to status error appendix for details |
| msg | String | Return message, maximum 64 char |
| cancellationNum | String | Cancellation number generated by SubmitCancellation |
Success-Response:
{ "status": 0, "msg": "Success", "cancellationNum": "R20240409152629973" }
Status Code
| Name | Description |
|---|---|
| 1000 | General system error |
| 1001 | Request parameters or part of parameters missing |
| 1002 | Invalid Action |
| 1003 | API request timeout, please request again |
| 1004 | Invalid request parameter |
| 1005 | Service system error |
| 1101 | Authentication fail, wrong signature |
| 1102 | Account disabled, please contact with account administrator |
| 3201 | The cancellation id does not exist |
| 3202 | The current status does not allow submit |
| 3203 | The cancellation request for this cancellationNum has already been submitted. Please do not submit it again. |
Error-Response
{ "status": 1000, "msg": "General system error" }
Author:AeroHub Create time:2024-09-10 13:31
Last editor:AeroHub Update time:2026-03-19 18:06
Last editor:AeroHub Update time:2026-03-19 18:06